Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 587972 - media-libs/libechonest should be removed
Summary: media-libs/libechonest should be removed
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo TreeCleaner Project
URL: https://qa-reports.gentoo.org/output/...
Whiteboard: removed on 2017/04/06
Keywords:
Depends on: 573712 591796
Blocks:
  Show dependency tree
 
Reported: 2016-07-04 12:46 UTC by jms
Modified: 2017-04-06 19:39 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jms 2016-07-04 12:46:15 UTC
from what I understood echonest api is gone

http://developer.echonest.com/

At least one package depend on it
media-sound/clementine

I think this package should be removed at some point
Comment 1 Jonas Stein gentoo-dev 2016-07-05 19:28:02 UTC
see also: https://bugs.gentoo.org/show_bug.cgi?id=587976
Comment 2 Adam Feldman gentoo-dev 2016-07-05 19:51:24 UTC
If I recall correctly, Nikoli has renounced his maintainership (and the metadata wasn't updated).  If someone else from proxy-maint can confirm, I'd recommend passing this bug off to ssuominen and Project:Sound to make the decision on how to proceed.  Just a side note for the maintainers of clementine (also nikoli, proxy-maint, and sound [should just be sound at this point per previous]), there is an upstream request to make this package an optional dep for clementine https://github.com/clementine-player/Clementine/issues/5384 which you might want to push for/forward.
Comment 3 rick vernam 2017-03-23 01:57:07 UTC
Looks like Tomahawk uses this.

rick rick # emerge --depclean libechonest -pv

Calculating dependencies... done!
  media-libs/libechonest-2.3.1-r1 pulled in by:
    media-sound/tomahawk-9999 requires >=media-libs/libechonest-2.3.1:0/2.3=[qt5]
Comment 4 Johannes Huber gentoo-dev 2017-03-23 05:50:41 UTC
(In reply to rick vernam from comment #3)
> Looks like Tomahawk uses this.
> 
> rick rick # emerge --depclean libechonest -pv
> 
> Calculating dependencies... done!
>   media-libs/libechonest-2.3.1-r1 pulled in by:
>     media-sound/tomahawk-9999 requires
> >=media-libs/libechonest-2.3.1:0/2.3=[qt5]

You will need to rebuild tomahawk-9999. It was dropped a month ago:

commit 1de2a4f7d218dede710d276c6d51f04f7c7985b5
Author: Andreas Sturmlechner <asturm@gentoo.org>
Date:   Tue Feb 21 01:40:38 2017 +0100

    media-sound/tomahawk: Drop media-libs/libechonest
    
    Upstream commit ed9a02764431d9e2bb29c479db23396a647ed842
    
    Gentoo-bug: 591796
    
    Package-Manager: portage-2.3.3